encoding-0.10.2: A library for various character encodings

Safe Haskell | None
Language | Haskell2010

Data.Encoding.CP932

Description

cp932 is a japanese character encoding.

# Documentation

data CP932 Source #

Constructors

CP932 |

#### Instances

Instances details

Encoding CP932 Source # |
Instance details Defined in Data.Encoding.CP932 Methods decodeChar :: ByteSource m => CP932 -> m Char Source # encodeChar :: ByteSink m => CP932 -> Char -> m () Source # decode :: ByteSource m => CP932 -> m String Source # encode :: ByteSink m => CP932 -> String -> m () Source # encodeable :: CP932 -> Char -> Bool Source #
Show CP932 Source # |
Instance details Defined in Data.Encoding.CP932 Methods showsPrec :: Int -> CP932 -> ShowS Source # show :: CP932 -> String Source # showList :: [CP932] -> ShowS Source #
Eq CP932 Source # |
Instance details Defined in Data.Encoding.CP932 Methods (==) :: CP932 -> CP932 -> Bool Source # (/=) :: CP932 -> CP932 -> Bool Source #